package com.ygtx.common.core.domain.ice;

/**
 * ICE待办任务请求实体
 *
 * @author ygt
 */
public class IcePendingTaskRequest
{
    /**
     * 订阅号，找系统管理员获取
     */
    private String platformId;

    /**
     * 标题
     */
    private String title;

    /**
     * 摘要 如需换行用"\n"
     */
    private String sumary;

    /**
     * 消息正文
     */
    private String content;

    /**
     * 用户工号
     */
    private String code;

    /**
     * 类型 此处必须传入：2
     */
    private Integer type = 2;

    /**
     * 跳转的url链接
     */
    private String url;

    /**
     * 此消息的任务ID，如果后续需要修改状态必填
     */
    private String taskId;

    /**
     * 是否已完成状态，1待办，2已办
     */
    private String isCompleted;

    /**
     * 系统的唯一识别，如果后续需要修改状态必填
     */
    private String systemId;

    // Getters and Setters
    public String getPlatformId()
    {
        return platformId;
    }

    public void setPlatformId(String platformId)
    {
        this.platformId = platformId;
    }

    public String getTitle()
    {
        return title;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getSumary()
    {
        return sumary;
    }

    public void setSumary(String sumary)
    {
        this.sumary = sumary;
    }

    public String getContent()
    {
        return content;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getCode()
    {
        return code;
    }

    public void setCode(String code)
    {
        this.code = code;
    }

    public Integer getType()
    {
        return type;
    }

    public void setType(Integer type)
    {
        this.type = type;
    }

    public String getUrl()
    {
        return url;
    }

    public void setUrl(String url)
    {
        this.url = url;
    }

    public String getTaskId()
    {
        return taskId;
    }

    public void setTaskId(String taskId)
    {
        this.taskId = taskId;
    }

    public String getIsCompleted()
    {
        return isCompleted;
    }

    public void setIsCompleted(String isCompleted)
    {
        this.isCompleted = isCompleted;
    }

    public String getSystemId()
    {
        return systemId;
    }

    public void setSystemId(String systemId)
    {
        this.systemId = systemId;
    }
}